import {defineStore} from "pinia";
export const useMapStore = defineStore('map',{
    state:() =>({
        layerShow:false,  //服务列表是否开启
        currentLayerType:"mainPage", //当前服务列表类型
        currentLayerList:[],  //当前服务列表
        currentNum:null,
        currentLayer:null,
        scale:null,
        whiteMoldState:false,   //白模状态
        camera:{      //相机信息
            heading:null,
            tilt:null,
            position:{
                x:null,
                y:null,
                z:null
            }
        },
        layerDetailObj:{},    //当前服务详情
        layerDetailShow:false,   //服务详情是否开启
        left_board:true,     //左侧板是否开启
        right_board:true,    //右侧板是否开启
    }),
    persist:true,
    actions:{
      setCameraInfo(data){
          this.camera = data
      }
    }
})